import Head from '../Head.tsx';
import Background from '../Background.tsx';

export default ({
  title,
  content,
  links,

  theme,
  extraStylesheets,
  extraScripts,
  cacheBust,

  showHakkenDates,
}) => <>
  <html>
    <Head
      title={title}
      theme={theme}
      extraStylesheets={extraStylesheets}
      cacheBust={cacheBust}
      extraScripts={extraScripts}
    />
    <body className="ps-main">
      <Background />
      <main className="ps-main--page ps-page ps-page_home">
        {links.map(({ href, title, openInNewTab }) => 
          <a
            href={href}
            target={openInNewTab ? '_blank' : '_self'}
            className="ps-page--link"
            key={href}
          >{title}</a>
        )}
        <footer className="ps-footer">
          <a
            href="https://greenbaum.cloud"
            className="ps-page--link ps-footer--link"
          >climate-neutral hosting by Greenbaum Cloud</a>
        </footer>
      </main>
    </body>
  </html>
</>;
